Covariance: Get significance of one mean...

Gets the level of significance for one mean from the selected Covariance object being different from a hypothesized mean.

## Settings

Index
  the position of the element in the means vector (centroid) that you want to test.
Value
  the hypothesized mean μ (see below).

## Behaviour

This is the standard test on means when the variance is unknown. The test statistic is

t = (mean - μ) √(N / s2),

which has the Student t distribution with ndf = N-1 degrees of freedom.

In the formulas above, mean is the element of the mean vector at position index, μ is the hypothesized mean, N is the number of observations, s2 is the variance at position [index] [index] in the covariance matrix.

The returned probability p is the two-sided probability

p = 2 * studentQ (t, ndf)

A low probability p means that the difference is significant.

### Links to this page

- T-test